package cm.jahswant;

import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout.LayoutParams;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
import anywheresoftware.b4a.objects.collections.Map;
import com.example.justifyexample.TextViewEx;

@Version(1.01F)
@ShortName("JustifyTextView")
@Author("Fodouop Jahswant")
public class JustifyTextView
  extends ViewWrapper<TextViewEx>
  implements DesignerCustomView
{
  private BA ba;
  private String eventName;
  
  public void Initialize(BA paramBA, String paramString)
  {
    _initialize(paramBA, null, paramString);
  }
  
  @BA.Hide
  public void _initialize(BA paramBA, Object paramObject, String paramString)
  {
    eventName = paramString.toLowerCase(BA.cul);
    ba = paramBA;
    setObject(new TextViewEx(ba.context));
  }
  
  public void AddToParent(ViewGroup paramViewGroup, @BA.Pixel int paramInt1, @BA.Pixel int paramInt2, @BA.Pixel int paramInt3, @BA.Pixel int paramInt4)
  {
    paramViewGroup.addView((View)getObject(), new LayoutParams(paramInt1, paramInt2, paramInt3, paramInt4));
  }
  
  public void DesignerCreateView(PanelWrapper paramPanelWrapper, LabelWrapper paramLabelWrapper, Map paramMap)
  {
    ViewGroup localViewGroup = (ViewGroup)((ViewGroup)paramPanelWrapper.getObject()).getParent();
    AddToParent(localViewGroup, paramPanelWrapper.getLeft(), paramPanelWrapper.getTop(), paramPanelWrapper.getWidth(), paramPanelWrapper.getHeight());
    paramPanelWrapper.RemoveView();
  }
  
  public void setLeft(int paramInt)
  {
    LayoutParams localLayoutParams = (LayoutParams)((TextViewEx)getObject()).getLayoutParams();
    localLayoutParams.left = paramInt;
    ((TextViewEx)getObject()).getParent().requestLayout();
  }
  
  public int getLeft()
  {
    LayoutParams localLayoutParams = (LayoutParams)((TextViewEx)getObject()).getLayoutParams();
    return localLayoutParams.left;
  }
  
  public void setTop(int paramInt)
  {
    LayoutParams localLayoutParams = (LayoutParams)((TextViewEx)getObject()).getLayoutParams();
    localLayoutParams.top = paramInt;
    ((TextViewEx)getObject()).getParent().requestLayout();
  }
  
  public int getTop()
  {
    LayoutParams localLayoutParams = (LayoutParams)((TextViewEx)getObject()).getLayoutParams();
    return localLayoutParams.top;
  }
  
  public void SetText(String paramString, boolean paramBoolean)
  {
    ((TextViewEx)getObject()).setText(paramString, paramBoolean);
  }
  
  public void setTextSize(int paramInt)
  {
    ((TextViewEx)getObject()).setTextSize(paramInt);
  }
  
	private int color = 0xff000000;
	public void setJustifyTextColor(int color) {
		((TextViewEx)getObject()).setJustifyTextColor(color);
	}	
	
	public void setPadding(int left, int top, int right, int bottom) {
		// TODO Auto-generated method stub
		((TextViewEx)getObject()).setPadding(left + 10, top, right + 10, bottom);
	}	
	
    public int GRAVITY_LEFT = 0;
    public int GRAVITY_RIGHT = 1;
	public int GRAVITY_BOTTOM = 2;
	public int GRAVITY_TOP = 3;
	public int GRAVITY_CENTER_HORIZONTAL = 4;
	public int GRAVITY_CENTER_VERTICAL = 5;
	public int GRAVITY_NONE = 6;
	public int GRAVITY_FILL_HORIZONTAL = 7;
	public int GRAVITY_FILL_VERTICAL = 8;
	public void setJustifyTextGravity(int gravity) {
		((TextViewEx)getObject()).setJustifyTextGravity(gravity);
	} 
  
}
